# $Revision: 1.16 $, $Date: 2002/11/09 02:15:52 $
Summary:	XDrawChem - a chemical drawing program
Summary(pl):	XDrawChem - program do rysunkw chemicznych
Name:		xdrawchem
Version:	1.5.2
Release:	2
License:	BSD-like
Group:		X11/Applications/Science
Source0:	http://www.prism.gatech.edu/~gte067k/xdrawchem/%{name}-%{version}.tgz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-no_inclueded_openbabel.patch
URL:		http://www.prism.gatech.edu/~gte067k/xdrawchem/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openbabel-devel
BuildRequires:	qt-devel >= 3.0.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
XDrawChem is a program for drawing chemical structures and reactions.
It can also predict 13C NMR and IR spectra, calculate empirical
formulas, and estimate elemental analysis.

%description -l pl
XDrawChem jest programem do rysowania chemicznych struktur i reakcji.
Moe take przewidzie 13C NMR oraz IR spectra, przelicza empiryczne
formuy, a take robi przyblion analiz pierwiastkw.

%prep
%setup -q
%patch0 -p1

%build
QTDIR=%{_prefix} ; export QTDIR
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Scientific/Chemistry,%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Scientific/Chemistry
install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT.txt HISTORY.txt README.txt TODO.txt
%attr(755,root,root) %{_bindir}/xdrawchem
%dir %{_datadir}/xdrawchem
%{_datadir}/xdrawchem/*
%{_applnkdir}/Scientific/Chemistry/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xdrawchem.spec,v $
Revision 1.16  2002/11/09 02:15:52  ankry
 added icon, release 2

Revision 1.15  2002/09/21 18:01:29  blues
- 1.5.2 - first release with ac/am support, old patch replaced by new one
 (remove building included openbabel) - STBR

Revision 1.14  2002/09/11 03:30:28  kloczek
- release 2.

Revision 1.13  2002/09/10 13:31:52  blues
- 1.5 - removed patches, added qmake patch - STBR

Revision 1.12  2002/09/06 13:37:54  blues
- moved desktop to chemistry directory

Revision 1.11  2002/09/03 11:12:49  blues
- release 4 - added desktop

Revision 1.10  2002/08/31 16:32:41  blues
- release 3 - STBR

Revision 1.9  2002/08/18 13:41:54  blues
- release 2 - license fix

Revision 1.8  2002/08/05 16:50:44  mmazur
- rel1 btw

Revision 1.7  2002/08/05 16:48:28  mmazur
- builds :)

Revision 1.6  2002/08/05 01:12:35  blues
- 1.4.2
NOTE: our compiller suxx...

Revision 1.5  2002/07/17 23:37:57  blues
- 1.4.1
- still the same failure while building...

Revision 1.4  2002/07/13 22:47:28  blues
- 1.4
- new doc
Still does not build...

Revision 1.3  2002/06/14 12:14:10  blues
- 1.3.2

Revision 1.2  2002/05/13 10:44:14  qboosh
- adapterized, removed bashism
